.container {
  background: rgba(255, 255, 255, 0.5);
  width: 95%;
  height: 80vh;
  margin: 30px auto;
  padding: 15px;
  gap: 15px;
  display: flex; 
  flex-direction: column;
  align-items: center;
  border: 1px solid #B9B9B9;
  border-radius: 5px;
}

.titulo {
  text-align: center;
  margin: 30px;
}

input {
  background: whitesmoke;
  width: 300px;
  height: 30px;
  border-radius: 5px;
  border: 1px solid #B9B9B9;
  outline: none;
  box-shadow: 2px 2px 2px 1px rgba(0, 0, 0, 0.2);
}

input:hover,
input:focus  {
  box-shadow: 0 0 5px 2px rgba(55, 177, 153, 0.5);
}

button {
  background: whitesmoke;
  width: 200px;
  height: 30px;
  border-radius: 5px;
  border: 1px solid #B9B9B9;
  outline: none;
  box-shadow: 2px 2px 2px 1px rgba(0, 0, 0, 0.2);
}

button:hover, 
button:focus {
  box-shadow: 0 0 5px 2px rgba(55, 177, 153, 0.5);
}

.btns {
  display: flex;
  justify-content: end;
  gap: 15px;
  margin-top: 20px;
}

.btn {
  width: 100px;
  height: 30px;
  padding: 5px;
  cursor: pointer;
  border: 1px solid #B9B9B9;
  border-radius: 5px;
  color: white;
  background: #026935;
  box-shadow: 2px 2px 2px 1px rgba(0, 0, 0, 0.2);
}

button.btn:hover {
  box-shadow: 0 0 5px 2px rgba(55, 177, 153, 0.5);
}

.table_container {
  width: 100%;
  /* max-width: 1200px; */
  /* max-height: 400px; */
  overflow-y: auto;
  border: 1px solid #ddd;
}

.file_table {
  background: whitesmoke;
  width: 100%;
  table-layout: fixed;
  border-collapse: collapse;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
}

.file_table th,
.file_table td {
  border: 1px solid #B9B9B9;
  padding: 8px;
  text-align: center;
  font-size: 13px;
  word-wrap: break-word;
}

.conteudo_modal {
  padding: 15px;
  display: flex;
  flex-direction: column;
  gap: 15px;
}

.header_modal {
  text-align: center;
  display: flex;
  flex-direction: column;
}

.footer_modal {
  align-self: self-end;
}

.table-container {
  max-height: 300px;
  overflow-y: auto;
}

.file_table thead th {
  position: sticky;
  top: 0;
  background: #fff;
  z-index: 1;
}

.link-arquivo {
  color: #1E90FF;
  text-decoration: underline;
  cursor: pointer; 
}


/* Responsividade */
@media (max-width: 1200px) {
  html, body {
    height: 100%;
  }

  .container {
    width: 95%;
  }

  .file_table {
    font-size: 12px;
  }
}
